backuptool: Remove backup blacklist/whitelist
Change-Id: Ia89e6fa4c31377a429e0dfa912d0b61393696009
diff --git a/prebuilt/common/bin/backuptool.sh b/prebuilt/common/bin/backuptool.sh
index 4a99e42..d925eb5 100755
--- a/prebuilt/common/bin/backuptool.sh
+++ b/prebuilt/common/bin/backuptool.sh
@@ -33,42 +33,12 @@
check_prereq() {
# If there is no build.prop file the partition is probably empty.
if [ ! -r $S/build.prop ]; then
- return 0
+ exit 127
fi
if ! grep -q "^ro.lineage.version=$V.*" $S/build.prop; then
echo "Not backing up files from incompatible version: $V"
- return 0
+ exit 127
fi
-return 1
-}
-
-check_blacklist() {
- if [ -f $S/addon.d/blacklist -a -d /$1/addon.d/ ]; then
- ## Discard any known bad backup scripts
- for f in /$1/addon.d/*sh; do
- [ -f $f ] || continue
- s=$(md5sum $f | cut -c-32)
- grep -q $s $S/addon.d/blacklist && rm -f $f
- done
- fi
-}
-
-check_whitelist() {
- found=0
- if [ -f $S/addon.d/whitelist ];then
- ## forcefully keep any version-independent stuff
- cd /$1/addon.d/
- for f in *sh; do
- s=$(md5sum $f | cut -c-32)
- grep -q $s $S/addon.d/whitelist
- if [ $? -eq 0 ]; then
- found=1
- else
- rm -f $f
- fi
- done
- fi
- return $found
}
# Execute /system/addon.d/*.sh scripts with $1 parameter
@@ -110,13 +80,7 @@
backup)
mount_system
mkdir -p $C
- if check_prereq; then
- if check_whitelist $S; then
- unmount_system
- exit 127
- fi
- fi
- check_blacklist $S
+ check_prereq
preserve_addon_d
run_stage pre-backup
run_stage backup
@@ -125,13 +89,7 @@
;;
restore)
mount_system
- if check_prereq; then
- if check_whitelist tmp; then
- unmount_system
- exit 127
- fi
- fi
- check_blacklist tmp
+ check_prereq
run_stage pre-restore
run_stage restore
run_stage post-restore